EDIT - task #6775

task # 6992 (New): Refactor and modernize REST web service API

consider using the OpenSessionIinViewFilter for all REST service endpoints

07/03/2017 05:36 PM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Mller % Done: 0%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: cdmlib-remote cleanup

Severity: normal

Description

OpenSessioninViewFilter (org.springframework.orm.hibernate5.support.OpenSessioninViewFilter): Servlet Filter that binds a
Hibernate Session to the thread for the entire processing of the request.

https://developer.jboss.org/wiki/OpenSessioninView

This would allow us simplifying the controllers a Iot. Initstrategies would no longer be needed to avoid LazylnitializationException

History

#1 - 07/03/2017 05:41 PM - Andreas Kohlbecker
- Description updated

#2 - 03/23/2022 12:23 PM - Andreas Miiller

- Assignee changed from Andreas Kohlbecker to Andreas Miller

#3 - 03/23/2022 12:23 PM - Andreas Miiller
- Parent task set to #6992
